Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.foundation.exception
Interface MessageCatalogException

All Known Implementing Classes:
  ApplicationException, FatalApplicationException, SystemException

public interface MessageCatalogException

The `MessageCatalogException` interface is the interface implemented by all `MessageCatalog`-aware exceptions. All such exceptions should contain both log and user messages that are constructed using the `MessageCatalog`.

See Also:
  `MessageCatalog`

Method Summary
`void` | `addLogMessage(java.lang.String namespace, java.lang.String messageKey)` Adds a new log catalog message to the stack of associated messages.
`void` | `addLogMessage(java.lang.String namespace, java.lang.String messageKey, java.lang.Object argument)` Adds a new log catalog message to the stack of associated messages.
`void` | `addLogMessage(java.lang.String namespace, java.lang.String messageKey, java.lang.Object[] aguments)` Adds a new log catalog message to the stack of associated messages.
`void` | `addMessage(java.lang.String namespace, java.lang.String messageKey)` Adds a new user and log catalog message to the stack of associated messages.
`void` | `addMessage(java.lang.String namespace, java.lang.String messageKey, java.lang.Object argument)` Adds a new user catalog message to the stack of associated messages.
`void` | `addMessage(java.lang.String namespace, java.lang.String messageKey, java.lang.Object[] aguments)` Adds a new user catalog message to the stack of associated messages.
`void` | `addUserMessage(java.lang.String namespace, java.lang.String messageKey)` Adds a new user catalog message to the stack of associated messages.
`void` | `addUserMessage(java.lang.String namespace, java.lang.String messageKey, java.lang.Object argument)` Adds a new user catalog message to the stack of associated messages.
`void` | `addUserMessage(java.lang.String namespace, java.lang.String messageKey, java.lang.Object[] aguments)` Adds a new user catalog message to the stack of associated messages.
`java.lang.Exception` | `getEmbeddedException()` Gets the embedded exception associated with this exception.
`java.lang.String` | `getLogMessage()` Returns the first log catalog message associated with this exception.
`java.util.Iterator` | `getLogMessages()` Returns an iterator over all the log catalog messages associated with this exception.
`java.lang.String` | `getUserMessage()` Returns the first user catalog message associated with this exception.
`java.util.Iterator` | `getUserMessages()` Returns an iterator over all the user catalog messages associated with this exception.

Method Detail

### getEmbeddedException

    public java.lang.Exception getEmbeddedException()

  Gets the embedded exception associated with this exception.

  Returns:
    The embedded exception.

### getLogMessage

    public java.lang.String getLogMessage()

  Returns the first log catalog message associated with this exception.

  Returns:
    The first log catalog message associated with this exception.

### getLogMessages

    public java.util.Iterator getLogMessages()

  Returns an iterator over all the log catalog messages associated with this exception.

  Returns:
    An iterator over all log catalog messages.

### getUserMessage

    public java.lang.String getUserMessage()

  Returns the first user catalog message associated with this exception.

  Returns:
    The user catalog message associated with this exception.

### getUserMessages

    public java.util.Iterator getUserMessages()

  Returns an iterator over all the user catalog messages associated with this exception.

  Returns:
    An iterator over all user catalog messages.

### addLogMessage

    public void addLogMessage(java.lang.String namespace,
                              java.lang.String messageKey)

  Adds a new log catalog message to the stack of associated messages.

  Parameters:
    `namespace` - Log catalog message namespace.
    `messageKey` - Log catalog message key.

### addLogMessage

    public void addLogMessage(java.lang.String namespace,
                              java.lang.String messageKey,
                              java.lang.Object argument)

  Adds a new log catalog message to the stack of associated messages.

  Parameters:
    `namespace` - Log catalog message namespace.
    `messageKey` - Log catalog message key.
    `argument` - Message parameter substitution argument.

### addLogMessage

    public void addLogMessage(java.lang.String namespace,
                              java.lang.String messageKey,
                              java.lang.Object[] aguments)

  Adds a new log catalog message to the stack of associated messages.

  Parameters:
    `namespace` - Log catalog message namespace.
    `messageKey` - Log catalog message key.
    `arguments` - Message parameter substitution arguments.

### addUserMessage

    public void addUserMessage(java.lang.String namespace,
                               java.lang.String messageKey)

  Adds a new user catalog message to the stack of associated messages.

  Parameters:
    `namespace` - User catalog message namespace.
    `messageKey` - User catalog message key.

### addUserMessage

    public void addUserMessage(java.lang.String namespace,
                               java.lang.String messageKey,
                               java.lang.Object argument)

  Adds a new user catalog message to the stack of associated messages.

  Parameters:
    `namespace` - User catalog message namespace.
    `messageKey` - User catalog message key.
    `argument` - Message parameter substitution argument.

### addUserMessage

    public void addUserMessage(java.lang.String namespace,
                               java.lang.String messageKey,
                               java.lang.Object[] aguments)

  Adds a new user catalog message to the stack of associated messages.

  Parameters:
    `namespace` - User catalog message namespace.
    `messageKey` - User catalog message key.
    `arguments` - Message parameter substitution arguments.

### addMessage

    public void addMessage(java.lang.String namespace,
                           java.lang.String messageKey)

  Adds a new user and log catalog message to the stack of associated messages.

  Parameters:
    `namespace` - User and log catalog message namespace.
    `messageKey` - User and log catalog message key.

### addMessage

    public void addMessage(java.lang.String namespace,
                           java.lang.String messageKey,
                           java.lang.Object argument)

  Adds a new user catalog message to the stack of associated messages.

  Parameters:
    `namespace` - User and log catalog message namespace.
    `messageKey` - User and log catalog message key.
    `argument` - Message parameter substitution argument.

### addMessage

    public void addMessage(java.lang.String namespace,
                           java.lang.String messageKey,
                           java.lang.Object[] aguments)

  Adds a new user catalog message to the stack of associated messages.

  Parameters:
    `namespace` - User and log catalog message namespace.
    `messageKey` - User and log catalog message key.
    `arguments` - Message parameter substitution arguments.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved